#![forbid(unsafe_code)]
#![warn(clippy::pedantic)]
// Not really `no_std` because of `Error` not being in `core` and usage of `HashMap` + `service` feature probably needing it
#![no_std]

extern crate alloc;

pub mod api;
#[cfg(feature = "service")]
pub mod icinga;
pub mod utils;

use internal_import::HashMap;

mod internal_import {
    extern crate std;
    pub(crate) use std::collections::HashMap;
}
